@import "variables.css";

/* Footer konténer */
.footer {
  position: relative;
  bottom: 0;
  left: 0;
  max-width: 100%;
  background-color: var(--secondary-color);
  color: #000;
  padding-top: 70px;
  padding-bottom: 20px;
  text-align: center;
}

/* Láthatóvá válás állapota */
.footer.visible {
  opacity: 1;
  visibility: visible;
}

/* Egyéb stílusok az elrendezéshez */
.footer-content {
  position: relative;
  margin: auto;
  max-width: 80%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  text-align: left;
  margin-bottom: 30px;
  padding-bottom: 20px;
}

.logo {
  margin-top: auto;
  margin-bottom: auto;
}

.logo img {
  width: 250px;
  padding: 60px;
}

.contact-policies {
  margin-top: 70px;
  margin-left: 40px;
  margin-right: 40px;
  width: fit-content;
  align-self: center;
  display: flex;
  flex-direction: column;
  text-align: left;
  justify-content: space-between;
  gap: 30px;
}

.contact {
  margin-top: auto;
  margin-right: 30px;
  width: fit-content;
}

.contact h4 {
  margin: 0 0 20px;
  font-size: 18px;
  color: var(--primary-color);
}

.contact a {
  margin: 0;
  color: var(--font-color);
  text-decoration: none;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
  width: fit-content;
}

.contact a:hover {
  text-decoration: underline;
}

.contact img {
  width: 28px;
  height: 28px;
}

.contact p {
  margin: 10px 0;
}

.policies {
  margin-top: auto;
  width: fit-content;
}

.policies a {
  align-items: center;
  display: block;
  margin: 15px 0;
  color: var(--font-color);
  text-decoration: none;
  font-size: 1em;
}

.policies a:hover {
  text-decoration: underline;
}

.follow-us {
  color: var(--primary-color);
  text-decoration: underline;
}

.social {
  margin-top: 15px;
  width: fit-content;
}

.social .follow {
  color: var(--font-color);
}

.social .img {
  color: var(--font-color);
}

.social-icons {
  margin-top: 15px;
  margin-bottom: 20px;
}

.social-icons a img {
  width: 30px;
  transition: transform 0.3s;
}

.social-icons a img:hover {
  transform: scale(1.2);
}

@media (max-width: 900px) {
  .footer-content {
    width: fit-content;
    flex-direction: column;
    margin-left: auto;
    margin-right: auto;
    gap: 30px;
  }
  .contact-policies {
    margin-left: auto;
    margin-right: auto;
    flex-direction: column;
    align-self: flex-start;
    position: relative;
    left: auto;
    gap: 40px;
  }
  .social {
    margin-top: 10px;
  }
  .follow {
    word-wrap: normal;
  }
  .logo img {
    width: 150px;
    padding: 0;
  }
}
@media (max-width: 425px) {
  .logo img {
    padding: 40px;
  }
  .contact p {
    font-size: 0.9rem;
  }
  .policies a {
    font-size: 0.9rem;
  }
  .social .follow {
    font-size: 0.9rem;
  }
}
